//
//  EpisodeImageView.h
//  MobileDaxhotel
//
//  Created by Raphael Schweikert on 27.01.09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
@class MobileDaxhotelAppDelegate;

@interface EpisodeImageView : UIView {
    UIImageView *leftImageView;
    UIImageView *centerImageView;
    UIImageView *rightImageView;
    
    UILabel *imageDisplayLabel;
    
    NSUInteger totalImageCount;
    NSUInteger episodeId;
    NSUInteger currentImageIndex;
    
    BOOL isSwiping;
    BOOL swipeIsAnimating;
    
    NSUInteger lastSwipeStartPositionX;
    
    NSMutableArray *swipeImages;
    
    MobileDaxhotelAppDelegate *appDelegate;
}

- (id)initWithFrame:(CGRect)frame andAppDelegate:(MobileDaxhotelAppDelegate *)delegate;
- (UIImage *) imageWithIndex:(NSUInteger) index;
- (void)swipeEnded:(NSString *)animationID finished:(BOOL)finished context:(void *)context;
- (void) doLayout;
- (void) displayEpisode:(NSUInteger)episode;
- (void) clearEpisode;
- (UIImageView *) createImageView;
- (void) updateDisplayLabel;

@end
